﻿import bpy
import os


 # -----------------------------------------------------------------------------------------------------
 # the panel is in the properties sidebar.  
 # -----------------------------------------------------------------------------------------------------
 
mylist = []

class VIEW3D_read_dir(bpy.types.Operator):
    """Blubb"""
    bl_idname = "view3d.read_dir" 
    bl_label = "Read Dir"
    
    def execute(self, context):
        
        mylist = [] # empty the list

        start_path = 'C:/Users/x/Documents' # current directory. Change to your needs. Do NOT use backslashes here. 
        for path,dirs,files in os.walk(start_path):
            for filename in files:
                if filename.endswith(".blend"):
                    mylist.append(os.path.join(filename))
        print (mylist) # debugging. The content in the console.
        return {'FINISHED'}  
 
class MyPanel(bpy.types.Panel):
    bl_label = "MyPanel"
    bl_space_type = 'VIEW_3D'
    bl_region_type = 'UI'

    def draw(self, context):
        layout = self.layout

        layout.operator("view3d.read_dir", text="read directory") # Click me to read the directory. Content of blend files will be printed in the console.
        
        scene = context.scene
        row = layout.row()

        row.template_list("UI_UL_list", "keying_sets", scene, "keying_sets", scene.keying_sets, "active_index", rows=1) # Placeholder for my template_list
        

# ------------------------------ register unregister --------------------------------------------------------  

def register():

    bpy.utils.register_module(__name__)
               
def unregister():

    bpy.utils.unregister_module(__name__)
        
if __name__ == "__main__":
    register()
    
    
